echo "topic"
echo "1 func"
echo "2 general"
echo "3 hide"
echo "4 hints"
echo "5 identifiers"
echo "6 if"
echo "7 import_rule"
echo "8 impure"
echo "9 inference"
echo "10 initialization"
echo "11 integer"
echo "12 intro"
echo "13 let"
echo "14 limits"
echo "15 list"
echo "16 llist"
echo "17 long"
echo "18 loops"
echo "19 null"
echo "20 pointers"
echo "21 precedence"
echo "22 problems"
echo "23 prod"
echo "24 record"
echo "25 ref"
echo "26 selections"
echo "27 sfloat"
echo "28 short"
echo "29 signal"
echo "30 signatures"
echo "31 strings"
echo "32 trace"
echo "32 union"
echo "33 void"
echo "34 with"



echo "999 quit"

read select
while [ $select -ne 999 ]
do
case $select in

1) more  func; read dummy;;
2) more  general; read dummy;;
3) more  hide; read dummy;;
4) more  hints; read dummy;;
5) more  identifiers; read dummy;;
6) more  if; read dummy;;
7) more  import_rule; read dummy;;
8) more  impure; read dummy;;
9) more  inference; read dummy;;
10) more  initialization; read dummy;;
11) more  integer; read dummy;;
12) more  intro; read dummy;;
13) more  let; read dummy;;
14) more  limits; read dummy;;
15) more  list; read dummy;;
16) more  llist; read dummy;;
17) more  long; read dummy;;
18) more  loops; read dummy;;
19) more  null; read dummy;;
20) more  pointers; read dummy;;
21) more  precedence; read dummy;;
22) more  problems; read dummy;;
23) more  prod; read dummy;;
24) more  record; read dummy;;
25) more  ref; read dummy;;
26) more  selections; read dummy;;
27) more  sfloat; read dummy;;
28) more  short; read dummy;;
29) more  signal; read dummy;;
30) more  signatures; read dummy;;
31) more  strings; read dummy;;
32) more  trace; read dummy;;
33) more  union; read dummy;;
34) more  void; read dummy;;
35) more  with; read dummy;;

esac

echo "topic"
echo "1 func"
echo "2 general"
echo "3 hide"
echo "4 hints"
echo "5 identifiers"
echo "6 if"
echo "7 import_rule"
echo "8 impure"
echo "9 inference"
echo "10 initialization"
echo "11 integer"
echo "12 intro"
echo "13 let"
echo "14 limits"
echo "15 list"
echo "16 llist"
echo "17 long"
echo "18 loops"
echo "19 null"
echo "20 pointers"
echo "21 precedence"
echo "22 problems"
echo "23 prod"
echo "24 record"
echo "25 ref"
echo "26 selections"
echo "27 sfloat"
echo "28 short"
echo "29 signal"
echo "30 signatures"
echo "31 strings"
echo "32 trace"
echo "32 union"
echo "33 void"
echo "34 with"

echo "999 quit"

read select

done
